Bug 1195339 - (CVE-2021-46659) VUL-1: CVE-2021-46659: mariadb-100,mariadb: crash in st_select_lex::mark_as_dependent with VIEW, aggregate and subquery
(CVE-2021-46659)
VUL-1: CVE-2021-46659: mariadb-100,mariadb: crash in st_select_lex::mark_as_d...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/322162/
CVSSv3.1:SUSE:CVE-2021-46659:3.7:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-01-31 11:30 UTC by Thomas Leroy
Modified: 2022-07-27 16:19 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Leroy 2022-01-31 11:30:28 UTC
CVE-2021-46659

MariaDB before 10.7.2 allows an application crash because it does not recognize
that SELECT_LEX::nest_level is local to each VIEW.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-46659
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-46659
http://www.cvedetails.com/cve/CVE-2021-46659/
https://jira.mariadb.org/browse/MDEV-25631
Comment 1 Thomas Leroy 2022-01-31 15:39:39 UTC
It seems that this one is the same issue than [0], and should have the same fix.
In that case, the fixing commit has been added in:
- SUSE:SLE-12-SP4:Update 	10.2.41
- SUSE:SLE-15:Update            10.2.41
- SUSE:SLE-15-SP2:Update 	10.4.22	
- SUSE:SLE-15-SP3:Update	10.5/13
- SUSE:SLE-15-SP4:Update	10.6.5

Furthermore, 10.0.x should be affected. So the following should be affected:
- SUSE:SLE-12-SP3:Update:Products:Cloud8:Update
- SUSE:SLE-12-SP1:Update
- SUSE:SLE-12-SP4:Update

[0] https://jira.mariadb.org/browse/MDEV-24454
[1] https://github.com/MariaDB/server/commit/3690c549c6e72646ba74f6b4c83813ee4ac3aea4
Comment 7 Swamp Workflow Management 2022-03-04 14:24:52 UTC
SUSE-SU-2022:0725-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1195325,1195334,1195339,1196016
CVE References: CVE-2021-46657,CVE-2021-46658,CVE-2021-46659,CVE-2021-46661,CVE-2021-46663,CVE-2021-46664,CVE-2021-46665,CVE-2021-46668,CVE-2022-24048,CVE-2022-24050,CVE-2022-24051,CVE-2022-24052
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    mariadb-10.2.43-3.51.1
SUSE Linux Enterprise Server for SAP 15 (src):    mariadb-10.2.43-3.51.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    mariadb-10.2.43-3.51.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    mariadb-10.2.43-3.51.1
SUSE Linux Enterprise Server 15-LTSS (src):    mariadb-10.2.43-3.51.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    mariadb-10.2.43-3.51.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    mariadb-10.2.43-3.51.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    mariadb-10.2.43-3.51.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    mariadb-10.2.43-3.51.1
SUSE Enterprise Storage 6 (src):    mariadb-10.2.43-3.51.1
SUSE CaaS Platform 4.0 (src):    mariadb-10.2.43-3.51.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2022-03-04 14:38:51 UTC
SUSE-SU-2022:0726-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1195325,1195334,1195339,1196016
CVE References: CVE-2021-46657,CVE-2021-46658,CVE-2021-46659,CVE-2021-46661,CVE-2021-46663,CVE-2021-46664,CVE-2021-46665,CVE-2021-46668,CVE-2022-24048,CVE-2022-24050,CVE-2022-24051,CVE-2022-24052
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    mariadb-10.4.24-3.25.1
SUSE Manager Retail Branch Server 4.1 (src):    mariadb-10.4.24-3.25.1
SUSE Manager Proxy 4.1 (src):    mariadb-10.4.24-3.25.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    mariadb-10.4.24-3.25.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    mariadb-10.4.24-3.25.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    mariadb-10.4.24-3.25.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    mariadb-10.4.24-3.25.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    mariadb-10.4.24-3.25.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    mariadb-10.4.24-3.25.1
SUSE Enterprise Storage 7 (src):    mariadb-10.4.24-3.25.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2022-03-04 14:39:43 UTC
openSUSE-SU-2022:0726-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1195325,1195334,1195339,1196016
CVE References: CVE-2021-46657,CVE-2021-46658,CVE-2021-46659,CVE-2021-46661,CVE-2021-46663,CVE-2021-46664,CVE-2021-46665,CVE-2021-46668,CVE-2022-24048,CVE-2022-24050,CVE-2022-24051,CVE-2022-24052
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    mariadb-10.4.24-3.25.1
Comment 10 Swamp Workflow Management 2022-03-04 14:40:36 UTC
openSUSE-SU-2022:0725-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1195325,1195334,1195339,1196016
CVE References: CVE-2021-46657,CVE-2021-46658,CVE-2021-46659,CVE-2021-46661,CVE-2021-46663,CVE-2021-46664,CVE-2021-46665,CVE-2021-46668,CVE-2022-24048,CVE-2022-24050,CVE-2022-24051,CVE-2022-24052
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    mariadb-10.2.43-3.51.1
Comment 11 Swamp Workflow Management 2022-03-04 17:22:04 UTC
SUSE-SU-2022:0731-1: An update that fixes 12 vulnerabilities, contains one feature is now available.

Category: security (important)
Bug References: 1195325,1195334,1195339,1196016
CVE References: CVE-2021-46657,CVE-2021-46658,CVE-2021-46659,CVE-2021-46661,CVE-2021-46663,CVE-2021-46664,CVE-2021-46665,CVE-2021-46668,CVE-2022-24048,CVE-2022-24050,CVE-2022-24051,CVE-2022-24052
JIRA References: SLE-22245
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP3 (src):    mariadb-10.5.15-150300.3.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2022-03-04 17:25:09 UTC
openSUSE-SU-2022:0731-1: An update that fixes 12 vulnerabilities, contains one feature is now available.

Category: security (important)
Bug References: 1195325,1195334,1195339,1196016
CVE References: CVE-2021-46657,CVE-2021-46658,CVE-2021-46659,CVE-2021-46661,CVE-2021-46663,CVE-2021-46664,CVE-2021-46665,CVE-2021-46668,CVE-2022-24048,CVE-2022-24050,CVE-2022-24051,CVE-2022-24052
JIRA References: SLE-22245
Sources used:
openSUSE Leap 15.3 (src):    mariadb-10.5.15-150300.3.15.1
Comment 13 Swamp Workflow Management 2022-03-09 17:20:12 UTC
SUSE-SU-2022:0782-1: An update that fixes 12 vulnerabilities is now available.

Category: security (important)
Bug References: 1195325,1195334,1195339,1196016
CVE References: CVE-2021-46657,CVE-2021-46658,CVE-2021-46659,CVE-2021-46661,CVE-2021-46663,CVE-2021-46664,CVE-2021-46665,CVE-2021-46668,CVE-2022-24048,CVE-2022-24050,CVE-2022-24051,CVE-2022-24052
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    mariadb-10.2.43-3.47.1
SUSE OpenStack Cloud 9 (src):    mariadb-10.2.43-3.47.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    mariadb-10.2.43-3.47.1
SUSE Linux Enterprise Server 12-SP5 (src):    mariadb-10.2.43-3.47.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    mariadb-10.2.43-3.47.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 16 Swamp Workflow Management 2022-04-29 13:19:59 UTC
SUSE-SU-2022:0731-2: An update that fixes 12 vulnerabilities, contains one feature is now available.

Category: security (important)
Bug References: 1195325,1195334,1195339,1196016
CVE References: CVE-2021-46657,CVE-2021-46658,CVE-2021-46659,CVE-2021-46661,CVE-2021-46663,CVE-2021-46664,CVE-2021-46665,CVE-2021-46668,CVE-2022-24048,CVE-2022-24050,CVE-2022-24051,CVE-2022-24052
JIRA References: SLE-22245
Sources used:
openSUSE Leap 15.4 (src):    mariadb-10.5.15-150300.3.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2022-07-27 16:19:10 UTC
SUSE-SU-2022:2561-1: An update that fixes 36 vulnerabilities, contains one feature is now available.

Category: security (important)
Bug References: 1195076,1195325,1195334,1195339,1196016,1198603,1198604,1198605,1198606,1198607,1198609,1198610,1198611,1198612,1198613,1198628,1198629,1198630,1198631,1198632,1198633,1198634,1198635,1198636,1198637,1198638,1198639,1198640,1199928
CVE References: CVE-2021-46657,CVE-2021-46658,CVE-2021-46659,CVE-2021-46661,CVE-2021-46663,CVE-2021-46664,CVE-2021-46665,CVE-2021-46668,CVE-2021-46669,CVE-2022-24048,CVE-2022-24050,CVE-2022-24051,CVE-2022-24052,CVE-2022-27376,CVE-2022-27377,CVE-2022-27378,CVE-2022-27379,CVE-2022-27380,CVE-2022-27381,CVE-2022-27382,CVE-2022-27383,CVE-2022-27384,CVE-2022-27386,CVE-2022-27387,CVE-2022-27444,CVE-2022-27445,CVE-2022-27446,CVE-2022-27447,CVE-2022-27448,CVE-2022-27449,CVE-2022-27451,CVE-2022-27452,CVE-2022-27455,CVE-2022-27456,CVE-2022-27457,CVE-2022-27458
JIRA References: SLE-22245
Sources used:
openSUSE Leap 15.4 (src):    mariadb-10.6.8-150400.3.7.1
SUSE Linux Enterprise Module for Server Applications 15-SP4 (src):    mariadb-10.6.8-150400.3.7.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.